%define name	efax-gtk
%define version 3.0.13
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	GTK2 frontend for efax
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/efax-gtk/%{name}-%{version}.src.tar.bz2
URL:		http://efax-gtk.sourceforge.net
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig 
BuildRequires:  gtk2-devel 
BuildRequires:  sigc++2.0-devel 
BuildRequires:  desktop-file-utils

Requires:	ghostscript 
Requires:       cups 
Requires:       gv

%description
Efax-gtk provides a GUI frontend for the efax fax program. It interfaces with
efax directly, replacing the scripts supplied with efax, and can be used for
receiving and sending faxes, and for viewing, printing, and managing faxes
which have been received and sent.

%prep
%setup -q
# since users can't write to /var/lock
perl -p -i -e 's|/var/lock|/tmp||g' efax-gtkrc
# /dev/modem is quite common
perl -p -i -e 's|ttyS1|modem||g' efax-gtkrc

%build
%configure2_5x
perl -p -i -e 's/install-data-hook//g' Makefile efax-gtk-faxfilter/Makefile
perl -p -i -e 's/usr\/local/usr/g' Makefile
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" \
icon="communications_fax_section.png" \
needs="x11" \
title="EFax-GTK" \
longtitle="Send faxes with efax" \
section="Office/Communications/Fax" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Communications-Fax" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
touch /tmp/faxfile.ps
chmod a+rw /tmp/faxfile.ps
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README BUGS COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_menudir}/%name
/var/spool/fax/*


%changelog
* Tue Mar 13 2007 Jérôme Soyer <saispo@mandriva.org> 3.0.13-1mdv2007.1
+ Revision: 142195
- New release 3.0.13

* Wed Jan 03 2007 Jérôme Soyer <saispo@mandriva.org> 3.0.12-1mdv2007.1
+ Revision: 103725
- Add BuildRequires

  + Lenny Cartier <lenny@mandriva.com>
    - Update to 3.0.12
    - Import efax-gtk



* Thu Aug 24 2006 Lenny Cartier <lenny@mandriva.com> 3.0.11-1mdv2007.0
- 3.0.11
- xdg

* Mon Jun 12 2006 Lenny Cartier <lenny@mandriva.com> 3.0.10-1mdv2007.0
- 3.0.10

* Mon Mar 13 2006 Austin Acton <austin@mandriva.org> 3.0.9-1mdk
- New release 3.0.9

* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 3.0.8-1mdk
- 3.0.8

* Sun Dec 04 2005 Austin Acton <austin@mandriva.org> 3.0.7-1mdk
- New release 3.0.7

* Wed Nov 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.0.6-2mdk
- Fix BuildRequires

* Mon Oct 17 2005 Lenny Cartier <lenny@mandriva.com> 3.0.6-1mdk
- 3.0.6

* Thu Oct 06 2005 Austin Acton <austin@mandriva.org> 3.0.5-1mdk
- New release 3.0.5

* Tue Aug 16 2005 Austin Acton <austin@mandriva.org> 3.0.4-1mdk
- New release 3.0.4

* Sun Jul 17 2005 Austin Acton <austin@mandriva.org> 3.0.3-1mdk
- New release 3.0.3

* Sun Jun 05 2005 Austin Acton <austin@mandriva.org> 3.0.2-1mdk
- New release 3.0.2

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 3.0.1-1mdk
- New release 3.0.1
- source URL

* Mon May 9 2005 Austin Acton <austin@mandrake.org> 3.0.0-1mdk
- 3.0.0
- new buildrequires

* Sun Feb 27 2005 Austin Acton <austin@mandrake.org> 2.2.15-1mdk
- 2.2.15

* Mon Dec 27 2004 Austin Acton <austin@mandrake.org> 2.2.14-1mdk
- 2.2.14

* Wed Dec 25 2004 Austin Acton <austin@mandrake.org> 2.2.13-2mdk
- don't use /var/lock (bug #12684)
- use /dev/modem as default (bug #12684)
- thanks Richard Neill

* Sat Nov 20 2004 Austin Acton <austin@mandrake.org> 2.2.13-1mdk
- 2.2.13

* Sun Oct 24 2004 Austin Acton <austin@mandrake.org> 2.2.12-1mdk
- 2.2.12

* Sat Sep 25 2004 Austin Acton <austin@mandrake.org> 2.2.11-1mdk
- 2.2.11
- configure 2.5

* Sun Jul 25 2004 Austin Acton <austin@mandrake.org> 2.2.9-1mdk
- 2.2.9

* Sat Jun 19 2004 Austin Acton <austin@mandrake.org> 2.2.8-1mdk
- 2.2.8

* Wed Jun 09 2004  Lenny Cartier <lenny@mandrakesoft.com> 2.2.7a-1mdk
- 2.2.7a

* Wed May 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.2.7-1mdk
- 2.2.7

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 2.2.5-2mdk
- Fix menu

* Thu Feb 5 2004 Austin Acton <austin@mandrake.org> 2.2.5-1mdk
- 2.2.5
- configure 2.5

* Sat Jan 10 2004 Austin Acton <austin@linux.ca> 2.2.4-1mdk
- 2.2.4

* Mon Dec 29 2003 Austin Acton <austin@linux.ca> 2.2.3-1mdk
- 2.2.3

* Mon Nov 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- 2.2.2

* Tue Oct 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-1mdk
- 2.2.1

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 2.2.0-1mdk
- 2.2.0

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 2.0.9-1mdk
- 2.0.9
- post macro
- cups model name

* Fri Apr 11 2003 Austin Acton <aacton@yorku.ca> 2.0.5a-1mdk
- initial package
